Database Accounts - List Read Only Keys

Lists the read-only access keys for the specified Azure Cosmos DB database account.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DocumentDB/databaseAccounts/{accountName}/readonlykeys?api-version=2026-07-15

URI Parameters

Name In Required Type Description
accountName
path True

string

minLength: 3
maxLength: 50
pattern: ^[a-z0-9]+(-[a-z0-9]+)*

Cosmos DB database account name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

DatabaseAccountListReadOnlyKeysResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

CosmosDBDatabaseAccountListReadOnlyKeys

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/rg1/providers/Microsoft.DocumentDB/databaseAccounts/ddb1/readonlykeys?api-version=2026-07-15

Sample response

{
  "primaryReadonlyMasterKey": "primaryReadonlyMasterKey",
  "secondaryReadonlyMasterKey": "secondaryReadonlyMasterKey"
}

Definitions

Name Description
DatabaseAccountListReadOnlyKeysResult

The read-only access keys for the given database account.

ErrorResponse

Error Response.

DatabaseAccountListReadOnlyKeysResult

The read-only access keys for the given database account.

Name Type Description
primaryReadonlyMasterKey

string

Base 64 encoded value of the primary read-only key.

secondaryReadonlyMasterKey

string

Base 64 encoded value of the secondary read-only key.

ErrorResponse

Error Response.

Name Type Description
code

string

Error code.

message

string

Error message indicating why the operation failed.